php5-sybase: sybase_ct doesn't always return correct results from MS SQL

Bug #21995 reported by Debian Bug Importer on 2005-09-19
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
php5 (Debian)
Fix Released
Unknown
php5 (Ubuntu)
Medium
Ubuntu Server

Bug Description

Automatically imported from Debian bug report #329065 http://bugs.debian.org/329065

Related branches

CVE References

On Mon, Sep 19, 2005 at 11:02:34AM +0200, Johan Palmqvist wrote:
> Package: php5-sybase
> Version: 5.0.4-3
> Severity: grave
> Justification: causes non-serious data loss

> sybase_ct doesn't always return correct results from MS SQL.
> mssql module seem to work in all cases but is not packaged.

This bug report is useless. Please be specific.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
<email address hidden> http://www.debian.org/

severity 329065 normal
thank you

This is not grave bug. It happens only on interfacing MS-SQL and only
on some circumstances.

Ondrej

On Mon, 2005-09-19 at 11:02 +0200, Johan Palmqvist wrote:
> Package: php5-sybase
> Version: 5.0.4-3
> Severity: grave
> Justification: causes non-serious data loss
>
>
> sybase_ct doesn't always return correct results from MS SQL.
> mssql module seem to work in all cases but is not packaged.
>
>
> -- System Information:
> Debian Release: testing/unstable
> APT prefers unstable
> APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
> Architecture: i386 (i686)
> Shell: /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.12.2
> Locale: LANG=sv_SE, LC_CTYPE=sv_SE (charmap=ISO-8859-1) (ignored: LC_ALL set to sv_SE)
>
> Versions of packages php5-sybase depends on:
> ii debconf [debconf-2.0] 1.4.58 Debian configuration management sy
> ii libapache2-mod-php5 [phpapi-2 5.0.4-3 server-side, HTML-embedded scripti
> ii libc6 2.3.5-6 GNU C Library: Shared libraries an
> ii libct3 0.63-2 libraries for connecting to MS SQL
> ii php5-cgi [phpapi-20041030] 5.0.4-3 server-side, HTML-embedded scripti
> ii php5-cli [phpapi-20041030] 5.0.4-3 command-line interpreter for the p
> ii php5-common 5.0.4-3 Common files for packages built fr
>
> php5-sybase recommends no packages.
>
> -- debconf information:
> php5/remove_extension: true
> php5/add_extension: true
> php5/extension_sybase_ct_cgi: true
> php5/extension_sybase_ct_cli: true
> php5/extension_sybase_ct_apache2: true
>
>
> _______________________________________________
> pkg-php-maint mailing list
> <email address hidden>
> http://lists.alioth.debian.org/mailman/listinfo/pkg-php-maint
--
Ondrej Sury <email address hidden>

severity 329065 important
thanks

Johan Palmqvist wrote:
> Severity: grave
> Justification: causes non-serious data loss

How does this cause data loss and warrant a grave bug?

> sybase_ct doesn't always return correct results from MS SQL.
> mssql module seem to work in all cases but is not packaged.

Could you be more specific about what sorts of results it returns
incorrectly, what behaviour you're seeing, a test case to reproduce it?

... Adam

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #329065 http://bugs.debian.org/329065

Debian Bug Importer (debzilla) wrote :

Message-Id: <E1EHHXm-0006BB-Tt@inaps6>
Date: Mon, 19 Sep 2005 11:02:34 +0200
From: Johan Palmqvist <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: php5-sybase: sybase_ct doesn't always return correct results from MS SQL

Package: php5-sybase
Version: 5.0.4-3
Severity: grave
Justification: causes non-serious data loss

sybase_ct doesn't always return correct results from MS SQL.
mssql module seem to work in all cases but is not packaged.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.2
Locale: LANG=sv_SE, LC_CTYPE=sv_SE (charmap=ISO-8859-1) (ignored: LC_ALL set to sv_SE)

Versions of packages php5-sybase depends on:
ii debconf [debconf-2.0] 1.4.58 Debian configuration management sy
ii libapache2-mod-php5 [phpapi-2 5.0.4-3 server-side, HTML-embedded scripti
ii libc6 2.3.5-6 GNU C Library: Shared libraries an
ii libct3 0.63-2 libraries for connecting to MS SQL
ii php5-cgi [phpapi-20041030] 5.0.4-3 server-side, HTML-embedded scripti
ii php5-cli [phpapi-20041030] 5.0.4-3 command-line interpreter for the p
ii php5-common 5.0.4-3 Common files for packages built fr

php5-sybase recommends no packages.

-- debconf information:
  php5/remove_extension: true
  php5/add_extension: true
  php5/extension_sybase_ct_cgi: true
  php5/extension_sybase_ct_cli: true
  php5/extension_sybase_ct_apache2: true

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 19 Sep 2005 02:36:29 -0700
From: Steve Langasek <email address hidden>
To: Johan Palmqvist <email address hidden>, <email address hidden>
Subject: Re: Bug#329065: php5-sybase: sybase_ct doesn't always return correct results from MS SQL

--CUfgB8w4ZwR/yMy5
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Sep 19, 2005 at 11:02:34AM +0200, Johan Palmqvist wrote:
> Package: php5-sybase
> Version: 5.0.4-3
> Severity: grave
> Justification: causes non-serious data loss

> sybase_ct doesn't always return correct results from MS SQL.
> mssql module seem to work in all cases but is not packaged.

This bug report is useless. Please be specific.

--=20
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
<email address hidden> http://www.debian.org/

--CUfgB8w4ZwR/yMy5
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDLoadKN6ufymYLloRApTSAJ9t0Cy6k8puxlcB2oGBP0qdAoKW9QCgsr0i
YgG1XPMwSTdLk0WoFYH0EGk=
=onAI
-----END PGP SIGNATURE-----

--CUfgB8w4ZwR/yMy5--

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 19 Sep 2005 11:53:25 +0200
From: Ondrej Sury <email address hidden>
To: Johan Palmqvist <email address hidden>, <email address hidden>
Subject: Re: [php-maint] Bug#329065: php5-sybase: sybase_ct doesn't always
 return correct results from MS SQL

--=-wq+HDukXRjGl9WvgGcwn
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

severity 329065 normal
thank you

This is not grave bug. It happens only on interfacing MS-SQL and only
on some circumstances.

Ondrej

On Mon, 2005-09-19 at 11:02 +0200, Johan Palmqvist wrote:
> Package: php5-sybase
> Version: 5.0.4-3
> Severity: grave
> Justification: causes non-serious data loss
>=20
>=20
> sybase_ct doesn't always return correct results from MS SQL.
> mssql module seem to work in all cases but is not packaged.
>=20
>=20
> -- System Information:
> Debian Release: testing/unstable
> APT prefers unstable
> APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
> Architecture: i386 (i686)
> Shell: /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.12.2
> Locale: LANG=3Dsv_SE, LC_CTYPE=3Dsv_SE (charmap=3DISO-8859-1) (ignored: L=
C_ALL set to sv_SE)
>=20
> Versions of packages php5-sybase depends on:
> ii debconf [debconf-2.0] 1.4.58 Debian configuration managem=
ent sy
> ii libapache2-mod-php5 [phpapi-2 5.0.4-3 server-side, HTML-embedded s=
cripti
> ii libc6 2.3.5-6 GNU C Library: Shared librar=
ies an
> ii libct3 0.63-2 libraries for connecting to =
MS SQL
> ii php5-cgi [phpapi-20041030] 5.0.4-3 server-side, HTML-embedded s=
cripti
> ii php5-cli [phpapi-20041030] 5.0.4-3 command-line interpreter for=
 the p
> ii php5-common 5.0.4-3 Common files for packages bu=
ilt fr
>=20
> php5-sybase recommends no packages.
>=20
> -- debconf information:
> php5/remove_extension: true
> php5/add_extension: true
> php5/extension_sybase_ct_cgi: true
> php5/extension_sybase_ct_cli: true
> php5/extension_sybase_ct_apache2: true
>=20
>=20
> _______________________________________________
> pkg-php-maint mailing list
> <email address hidden>
> http://lists.alioth.debian.org/mailman/listinfo/pkg-php-maint
--=20
Ondrej Sury <email address hidden>

--=-wq+HDukXRjGl9WvgGcwn
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQBDLoqV9OZqfMIN8nMRAr9qAKCriGQgXXQ7Lfxx4iNA+MiCv14MZgCgqtz/
EDEhje9lIEqA/BVZhAlhxDA=
=q4Xb
-----END PGP SIGNATURE-----

--=-wq+HDukXRjGl9WvgGcwn--

Debian Bug Importer (debzilla) wrote :

Message-ID: <432E8A9A.3080402@0c3.net>
Date: Mon, 19 Sep 2005 19:53:30 +1000
From: Adam Conrad <adconrad@0c3.net>
To: Johan Palmqvist <email address hidden>, <email address hidden>
CC: <email address hidden>
Subject: Re: [php-maint] Bug#329065: php5-sybase: sybase_ct doesn't always
 return correct results from MS SQL

severity 329065 important
thanks

Johan Palmqvist wrote:
> Severity: grave
> Justification: causes non-serious data loss

How does this cause data loss and warrant a grave bug?

> sybase_ct doesn't always return correct results from MS SQL.
> mssql module seem to work in all cases but is not packaged.

Could you be more specific about what sorts of results it returns
incorrectly, what behaviour you're seeing, a test case to reproduce it?

... Adam

Adam Conrad wrote:

>severity 329065 important
>thanks
>
>Johan Palmqvist wrote:
>
>
>>Severity: grave
>>Justification: causes non-serious data loss
>>
>>
>
>How does this cause data loss and warrant a grave bug?
>
>
>
PHP code for a test case is attached. The executed stored procedure
returns a string containing a URL. The only modifications to php.ini are
specified below.

php5-mssql (self-compiled):
php.ini: ;extension=sybase_ct.so
php.ini: extension=mssql.so

Result row[0]: http://www.test.org/

php5-sybase:
php.ini: extension=sybase_ct.so
php.ini: ;extension=mssql.so

Result row[0]: 0

Thanks
/ Johan

Johan Palmqvist wrote:
>
> PHP code for a test case is attached. The executed stored procedure
> returns a string containing a URL. The only modifications to php.ini are
> specified below.

We'd probably also want the stored procedure itself and a dump of a test
table that will exhibit the problem when the SP is run against it.
(Yes, we know sybase_ct has issues, but mssql also has DIFFERENT issues,
and merging fixes from one to the other means finding the bugs first..)

... Adam

You got it. ;)
usr and obj is the database tables + data. sp is the stored procedure.

Thanks
/ Johan

Adam Conrad wrote:

>We'd probably also want the stored procedure itself and a dump of a test
>table that will exhibit the problem when the SP is run against it.
>(Yes, we know sybase_ct has issues, but mssql also has DIFFERENT issues,
>and merging fixes from one to the other means finding the bugs first..)
>
>... Adam
>
>

On Mon, 2005-09-19 at 14:07 +0200, Johan Palmqvist wrote:
>
> Adam Conrad wrote:
> > severity 329065 important
> > thanks
> >
> > Johan Palmqvist wrote:
> >
> > > Severity: grave
> > > Justification: causes non-serious data loss
> > >
> >
> > How does this cause data loss and warrant a grave bug?
> >
> >
> PHP code for a test case is attached. The executed stored procedure
> returns a string containing a URL. The only modifications to php.ini
> are specified below.

Thanks for that test case.

Just a quick explanation what "data loss" mean (at least to us). To
mark this bug as grave because of "data loss" it would have to delete
affected data from database.

I know that this is annoying bug (at least for you) and we will work
with upstream to resolve it, but it's not "grave" bug, because you are
using very rare setup (php on linux with MSSQL) and it doesn't happen on
all occasions.

O.
--
Ondrej Sury <email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 19 Sep 2005 14:07:11 +0200
From: Johan Palmqvist <email address hidden>
To: <email address hidden>
Subject: Re: [php-maint] Bug#329065: php5-sybase: sybase_ct doesn't always
 return correct results from MS SQL

--------------030702050507080506010800
Content-Type: multipart/alternative;
 boundary="------------070107030106000406060702"

--------------070107030106000406060702
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Adam Conrad wrote:

>severity 329065 important
>thanks
>
>Johan Palmqvist wrote:
>
>
>>Severity: grave
>>Justification: causes non-serious data loss
>>
>>
>
>How does this cause data loss and warrant a grave bug?
>
>
>
PHP code for a test case is attached. The executed stored procedure
returns a string containing a URL. The only modifications to php.ini are
specified below.

php5-mssql (self-compiled):
php.ini: ;extension=sybase_ct.so
php.ini: extension=mssql.so

Result row[0]: http://www.test.org/

php5-sybase:
php.ini: extension=sybase_ct.so
php.ini: ;extension=mssql.so

Result row[0]: 0

Thanks
/ Johan

--------------070107030106000406060702
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
  <title></title>
</head>
<body bgcolor="#ffffff" text="#000000">
<br>
Adam Conrad wrote:
<blockquote cite="mid432E8A9A.3080402@0c3.net" type="cite">
  <pre wrap="">severity 329065 important
thanks

Johan Palmqvist wrote:
  </pre>
  <blockquote type="cite">
    <pre wrap="">Severity: grave
Justification: causes non-serious data loss
    </pre>
  </blockquote>
  <pre wrap=""><!---->
How does this cause data loss and warrant a grave bug?

  </pre>
</blockquote>
PHP code for a test case is attached. The executed stored procedure
returns a string containing a URL. The only modifications to php.ini
are specified below.<br>
<br>
<br>
php5-mssql (self-compiled):<br>
php.ini: ;extension=sybase_ct.so<br>
php.ini: extension=mssql.so<br>
<br>
Result row[0]: <a class="moz-txt-link-freetext" href="http://www.test.org/">http://www.test.org/</a><br>
<br>
<br>
php5-sybase:<br>
php.ini: extension=sybase_ct.so<br>
php.ini: ;extension=mssql.so<br>
<br>
Result row[0]: 0<br>
<br>
<br>
Thanks<br>
/ Johan<br>
<br>
<br>
</body>
</html>

--------------070107030106000406060702--

--------------030702050507080506010800
Content-Type: application/x-bzip;
 name="test.php.bz2"
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="test.php.bz2"

QlpoOTFBWSZTWYZsalAAAEvfgEAQVORwX+8E30q///7qMAENtqw0SnoTah6mh6gNA00AaZME
aDINEEnkbVGQAAA0AAAANNRTZTJo9CAaBoAAGgAaIWVdKCaMxistE2SWLBjyYYJox7p+fE/q
m7kPXQpBukuFyMTqZL4IhdBBE/LMufo2epCQLj5JJJCwtRVMtcMD0/NNpLWkcDllQKCyTmGL
yjNNBgcYBg5kAFGdc7CifJtzHJP3cldc1KteYygkS3OJ5+hNK6CYVM3FwBGRiGilPgarx1GD
eEEYEOV4gKZ4AEiO9/AQz056g5K6VBRGHa4FvOIr2PoSLzMhZqEvgMsSDMyLKs0Z0iUPFFyv
hTvqtakfS2KSFDTThKECo30K1Byi2IEEVlsR4krbKGE0iUIhfInk5pIozVE9KkgkDnlTjgj2
fxdyRThQkIZsalA=
--------------030702050507080506010800--

Acknowledged, I just considered it "data loss" due to another
application which relies on correct results in order to correctly save
some data, but I get your point.

However, getting wrong results could theoretically, depending on the
application, cause real data loss when doing delete queries using a
previous bad result as input. But I admit that's a bit far fetched. :)

I was also thinking that packaging of both modules as php5-sybase and
php5-mssql, maybe with some warning notification during installation
about possible issues with MSSQL, could be a good temporary workaround.

The long term solution is to migrate away from MSSQL but our mission
critical applications would most likely take years to migrate, test and
deploy.

Thanks
/ Johan

Ondrej Sury wrote:

>
>Thanks for that test case.
>
>Just a quick explanation what "data loss" mean (at least to us). To
>mark this bug as grave because of "data loss" it would have to delete
>affected data from database.
>
>I know that this is annoying bug (at least for you) and we will work
>with upstream to resolve it, but it's not "grave" bug, because you are
>using very rare setup (php on linux with MSSQL) and it doesn't happen on
>all occasions.
>
>O.
>
>

Debian Bug Importer (debzilla) wrote :

Message-ID: <432EC85C.4080007@0c3.net>
Date: Tue, 20 Sep 2005 00:17:00 +1000
From: Adam Conrad <adconrad@0c3.net>
To: Johan Palmqvist <email address hidden>, <email address hidden>
Subject: Re: Bug#329065: [php-maint] Bug#329065: php5-sybase: sybase_ct doesn't
 always return correct results from MS SQL

Johan Palmqvist wrote:
>
> PHP code for a test case is attached. The executed stored procedure
> returns a string containing a URL. The only modifications to php.ini are
> specified below.

We'd probably also want the stored procedure itself and a dump of a test
table that will exhibit the problem when the SP is run against it.
(Yes, we know sybase_ct has issues, but mssql also has DIFFERENT issues,
and merging fixes from one to the other means finding the bugs first..)

... Adam

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 19 Sep 2005 16:40:10 +0200
From: Johan Palmqvist <email address hidden>
To: <email address hidden>
Subject: Re: Bug#329065: [php-maint] Bug#329065: php5-sybase: sybase_ct doesn't
 always return correct results from MS SQL

--------------090809080304080208040406
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

You got it. ;)
usr and obj is the database tables + data. sp is the stored procedure.

Thanks
/ Johan

Adam Conrad wrote:

>We'd probably also want the stored procedure itself and a dump of a test
>table that will exhibit the problem when the SP is run against it.
>(Yes, we know sybase_ct has issues, but mssql also has DIFFERENT issues,
>and merging fixes from one to the other means finding the bugs first..)
>
>... Adam
>
>

--------------090809080304080208040406
Content-Type: application/x-bzip;
 name="usr.sql.bz2"
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="usr.sql.bz2"

QlpoOTFBWSZTWc4bhHgAAF7fgAAQQOV6QH+n3yq/99+AMAE0wQymk01NM1AMg9TQAMmQaaAN
CnqZIGQaAMQ0GTEZGhgikoyMIyTZTQAaMRpoAwm1HeatJpgbF5RoAHCJWkWsiWRxhBDM0U4k
xsADS7BSgttYBhJEGOWYIpUWT00lbQc3vzZ2v90xCG8Yo3grKjOXQ6KedROol+5ZMhM1oofX
IALtVHCuMmNTERu1dIUK7cYGpc1kqCXNEgMZebq61m2H2XXERN8V5YhcWhbrSqYCYtzyA7K8
kOKym8wQ7iRIiIXdehfpjXq9NeyfAZ1/Bf5uJLxXrODkOopLFpDnMq1nJfMzaioJyjCLwXeb
1vyrQvA4mGfvtpwFhlKFxgaCk7ZqabaoiIaliF6YJPKoWf1GZaGC4xYgaA5EH6wyhYdQIiay
Xj+LuSKcKEhnDcI8AA==
--------------090809080304080208040406
Content-Type: application/x-bzip;
 name="obj.sql.bz2"
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="obj.sql.bz2"

QlpoOTFBWSZTWW3KwY4AAEDfgAAQQOXyUD+n3yq+992gMAD1WBKnqpptTR6JoaNDEANGTQAA
lJomRA0A0DQyDTQAACqijT1TZT0gbUzU00yDI9R6jTJtNJlWKlz4BkdRpVBoOgEwO1NerEVz
J1tPQherl9uS6A9JKi5iraDzRKvrU2Ih+0TUMvQzMiTKPU1VPMNIT0NCyE1UiEK99PGMI2RK
sKg7kiBwjQ2hctrIsrFYQFbnBbplspSSSQQDbHRJBBkCSOF9g+RzuJJoJYXZPVBaxC2VxH2s
s+LI3O04DO9XHKmLyshS6ydpUm2iMbSvux3i408TN1F5yIVpo44pi+DE8qeaQ8ZCqpQonnrk
ZbSPDvf4u5IpwoSDblYMcA==
--------------090809080304080208040406
Content-Type: application/x-bzip;
 name="sp.sql.bz2"
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="sp.sql.bz2"

QlpoOTFBWSZTWc7JDn8AABZfgCAQQGdyQm/334A31BwAIACEGpkp6nqeTRlA9MkZNM0gAEpq
iPSNAD9UMgAHqB+qCA09Y4dQr38PG6trV2RTDM15KGbWNMVjWmcWOet04yKckLJBWRBmwajH
64uMiRTAco5Ov7vS9HCEFUJp0eNCqS+Mh11L9A+AmPzJzm92VKuEq5bsNCdsRT5aBFTBpCto
Ia8ZCGCG/ISE2ZiR/F3JFOFCQzskOfw=
--------------090809080304080208040406--

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 19 Sep 2005 17:06:58 +0200
From: Ondrej Sury <email address hidden>
To: Johan Palmqvist <email address hidden>, <email address hidden>
Subject: Re: Bug#329065: [php-maint] Bug#329065: php5-sybase: sybase_ct
 doesn't always return correct results from MS SQL

--=-LYrg9Hpaff0+pCUzoDui
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Mon, 2005-09-19 at 14:07 +0200, Johan Palmqvist wrote:
>=20
> Adam Conrad wrote:=20
> > severity 329065 important
> > thanks
> >=20
> > Johan Palmqvist wrote:
> > =20
> > > Severity: grave
> > > Justification: causes non-serious data loss
> > > =20
> >=20
> > How does this cause data loss and warrant a grave bug?
> >=20
> > =20
> PHP code for a test case is attached. The executed stored procedure
> returns a string containing a URL. The only modifications to php.ini
> are specified below.

Thanks for that test case.

Just a quick explanation what "data loss" mean (at least to us). To
mark this bug as grave because of "data loss" it would have to delete
affected data from database.

I know that this is annoying bug (at least for you) and we will work
with upstream to resolve it, but it's not "grave" bug, because you are
using very rare setup (php on linux with MSSQL) and it doesn't happen on
all occasions.

O.
--=20
Ondrej Sury <email address hidden>

--=-LYrg9Hpaff0+pCUzoDui
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQBDLtQS9OZqfMIN8nMRAiEdAJ0VEvzAaM2Vyj3/qAhL2WvpONEmjgCfS+X5
r2ueNXPnYnemjkg20+GNSng=
=yzu+
-----END PGP SIGNATURE-----

--=-LYrg9Hpaff0+pCUzoDui--

Debian Bug Importer (debzilla) wrote :
Download full text (3.3 KiB)

Message-ID: <email address hidden>
Date: Mon, 19 Sep 2005 17:48:23 +0200
From: Johan Palmqvist <email address hidden>
To: <email address hidden>
Subject: Re: Bug#329065: [php-maint] Bug#329065: php5-sybase: sybase_ct doesn't
 always return correct results from MS SQL

--------------030700020609050405080308
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Acknowledged, I just considered it "data loss" due to another
application which relies on correct results in order to correctly save
some data, but I get your point.

However, getting wrong results could theoretically, depending on the
application, cause real data loss when doing delete queries using a
previous bad result as input. But I admit that's a bit far fetched. :)

I was also thinking that packaging of both modules as php5-sybase and
php5-mssql, maybe with some warning notification during installation
about possible issues with MSSQL, could be a good temporary workaround.

The long term solution is to migrate away from MSSQL but our mission
critical applications would most likely take years to migrate, test and
deploy.

Thanks
/ Johan

Ondrej Sury wrote:

>
>Thanks for that test case.
>
>Just a quick explanation what "data loss" mean (at least to us). To
>mark this bug as grave because of "data loss" it would have to delete
>affected data from database.
>
>I know that this is annoying bug (at least for you) and we will work
>with upstream to resolve it, but it's not "grave" bug, because you are
>using very rare setup (php on linux with MSSQL) and it doesn't happen on
>all occasions.
>
>O.
>
>

--------------030700020609050405080308
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
  <title></title>
</head>
<body bgcolor="#ffffff" text="#000000">
Acknowledged, I just considered it "data loss" due to another
application which relies on&nbsp; correct results in order to correctly save
some data, but I get your point.<br>
<br>
However, getting wrong results could theoretically, depending on the
application, cause real data loss when doing delete queries using a
previous bad result as input. But I admit that's a bit far fetched. :)<br>
<br>
I was also thinking that packaging of both modules as php5-sybase and
php5-mssql, maybe with some warning notification during installation
about possible issues with MSSQL, could be a good temporary workaround.<br>
<br>
The long term solution is to migrate away from MSSQL but our mission
critical applications would most likely take years to migrate, test and
deploy.<br>
<br>
Thanks<br>
/ Johan<br>
<br>
<br>
Ondrej Sury wrote:
<blockquote <email address hidden>"
 type="cite">
  <pre wrap=""><!---->
Thanks for that test case.

Just a quick explanation what "data loss" mean (at least to us). To
mark this bug as grave because of "data loss" it would have to delete
affected data from database.

I know that this is annoying bug (at least for you) and we will work
with upstream to resolve it...

Read more...

Hi, seeing this bug through Ubuntu automatic importation, and trying to
triage it.

Does it still happen on latest version?

--
http://www.fastmail.fm - And now for something completely different

Paul Dufresne (paulduf) wrote :

Marking as Incomplete because on an old version.
I have asked on Debian bug if still happen on recent version.

Changed in php5:
status: New → Incomplete

On Thursday 28 June 2007 07:58:35 Paul Dufresne wrote:
> Hi, seeing this bug through Ubuntu automatic importation, and trying to
> triage it.
>
> Does it still happen on latest version?

try asking the submitter...

 sean

Download full text (4.5 KiB)

tags 329065 pending
tags 418734 pending
thanks

Author: ondrej
Date: 2007-07-11 22:10:25 +0000 (Wed, 11 Jul 2007)
New Revision: 835

Modified:
   php5/trunk/debian/changelog
   php5/trunk/debian/control
   php5/trunk/debian/extramodulelist
   php5/trunk/debian/modulelist
   php5/trunk/debian/rules
Log:
Prepare php5-mssql

Modified: php5/trunk/debian/changelog
===================================================================
--- php5/trunk/debian/changelog 2007-07-02 20:58:46 UTC (rev 834)
+++ php5/trunk/debian/changelog 2007-07-11 22:10:25 UTC (rev 835)
@@ -1,15 +1,21 @@
 php5 (5.2.3-2) UNRELEASED; urgency=low

+ [ sean finney ]
   * NOT RELEASED YET
   * patch from Jan Wagner to be able to conditionally disable any
     patches that break binary-compatibility with official php
     binary-only extensions. see debian/rules for more information.
   * now incorporate the php unit tests into the build process. for
     those interested the output is stored in the file
- /usr/share/doc/php5-common/test-results.txt .
+ /usr/share/doc/php5-common/test-results.txt .

- -- sean finney <email address hidden> Sat, 09 Jun 2007 18:50:58 +0200
+ [ Ondřej Surý ]
+ * Add support for native mssql functions using freetds libraries.
+ php5-sybase depends on php5-mssql for smooth upgrades.
+ (Closes: #418734, #329065)

+ -- Ondřej Surý <email address hidden> Thu, 12 Jul 2007 00:06:37 +0200
+
 php5 (5.2.3-1) unstable; urgency=low

   * new upstream release.

Modified: php5/trunk/debian/control
===================================================================
--- php5/trunk/debian/control 2007-07-02 20:58:46 UTC (rev 834)
+++ php5/trunk/debian/control 2007-07-11 22:10:25 UTC (rev 835)
@@ -301,16 +301,29 @@

 Package: php5-sybase
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${Source-Version}), php5-mssql
 Description: Sybase / MS SQL Server module for php5
- This package provides a module for Sybase and Microsoft SQL Server database
- connections directly from PHP scripts.
+ This package provides a module for Sybase and Microsoft SQL Server
+ database connections directly from PHP scripts.
  .
  PHP5 is an HTML-embedded scripting language. Much of its syntax is borrowed
  from C, Java and Perl with a couple of unique PHP-specific features thrown
  in. The goal of the language is to allow web developers to write
  dynamically generated pages quickly.

+Package: php5-mssql
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${Source-Version})
+Description: MS SQL Server module for php5
+ This package provides a module for Microsoft SQL Server database
+ connections directly from PHP scripts. It also includes the pdo_mssql
+ module for use with the PHP Data Object extension.
+ .
+ PHP5 is an HTML-embedded scripting language. Much of its syntax is borrowed
+ from C, Java and Perl with a couple of unique PHP-specific features thrown
+ in. The goal of the language is to allow web developers to write
+ dynamically generated pages quickly.
+
 Package: php5-ti...

Read more...

Changed in php5:
status: New → Fix Committed
Download full text (9.0 KiB)

Source: php5
Source-Version: 5.2.4-1

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive:

libapache2-mod-php5_5.2.4-1_amd64.deb
  to pool/main/p/php5/libapache2-mod-php5_5.2.4-1_amd64.deb
php-pear_5.2.4-1_all.deb
  to pool/main/p/php5/php-pear_5.2.4-1_all.deb
php5-cgi_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-cgi_5.2.4-1_amd64.deb
php5-cli_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-cli_5.2.4-1_amd64.deb
php5-common_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-common_5.2.4-1_amd64.deb
php5-curl_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-curl_5.2.4-1_amd64.deb
php5-dev_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-dev_5.2.4-1_amd64.deb
php5-gd_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-gd_5.2.4-1_amd64.deb
php5-gmp_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-gmp_5.2.4-1_amd64.deb
php5-imap_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-imap_5.2.4-1_amd64.deb
php5-interbase_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-interbase_5.2.4-1_amd64.deb
php5-ldap_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-ldap_5.2.4-1_amd64.deb
php5-mcrypt_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-mcrypt_5.2.4-1_amd64.deb
php5-mhash_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-mhash_5.2.4-1_amd64.deb
php5-mysql_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-mysql_5.2.4-1_amd64.deb
php5-odbc_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-odbc_5.2.4-1_amd64.deb
php5-pgsql_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-pgsql_5.2.4-1_amd64.deb
php5-pspell_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-pspell_5.2.4-1_amd64.deb
php5-recode_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-recode_5.2.4-1_amd64.deb
php5-snmp_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-snmp_5.2.4-1_amd64.deb
php5-sqlite_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-sqlite_5.2.4-1_amd64.deb
php5-sybase_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-sybase_5.2.4-1_amd64.deb
php5-tidy_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-tidy_5.2.4-1_amd64.deb
php5-xmlrpc_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-xmlrpc_5.2.4-1_amd64.deb
php5-xsl_5.2.4-1_amd64.deb
  to pool/main/p/php5/php5-xsl_5.2.4-1_amd64.deb
php5_5.2.4-1.diff.gz
  to pool/main/p/php5/php5_5.2.4-1.diff.gz
php5_5.2.4-1.dsc
  to pool/main/p/php5/php5_5.2.4-1.dsc
php5_5.2.4-1_all.deb
  to pool/main/p/php5/php5_5.2.4-1_all.deb
php5_5.2.4.orig.tar.gz
  to pool/main/p/php5/php5_5.2.4.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
sean finney <email address hidden> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 16 Sep 2007 14:46:06 +0200
Source: php5
Binary: php5-gd php5-ldap php5 php5-xmlrpc php5-pspell libapache2-mod-php5 php5-xsl php5-cg...

Read more...

Changed in php5:
status: Fix Committed → Fix Released
Changed in php5:
assignee: adconrad → ubuntu-server

# A New Hope
# A log time ago, in a galaxy far, far away
# something happened.
#
# Magically this resulted in the following
# action being taken, but this fake control
# message doesn't tell you why it happened
#
# The action:
# Bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator

Paul Dufresne (paulduf) wrote :

From Debian bug:
Changes:
 php5 (5.2.4-1) unstable; urgency=low
 .
   * New upstream release.
...
* Switch php5-sybase to use the mssql extension instead of the sybase_ct
     extension. Closes: #418734, #329065.

Paul Dufresne (paulduf) wrote :

Making this bug confirmed in Ubuntu, as it has been fixed in Debian version 5.2.4-1, but not yet included in Ubuntu (using 5.2.3-1ubuntu6 as I write).

Changed in php5:
status: Incomplete → Confirmed
Paul Dufresne (paulduf) wrote :

Well, considering it Fix Commited rather.

Changed in php5:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package php5 - 5.2.4-2ubuntu1

---------------
php5 (5.2.4-2ubuntu1) hardy; urgency=low

  * Merge from Debian unstable (LP: #176011). Remaining Ubuntu changes:
    - debian/control, debian/rules: Disable a few build dependencies and
      accompanying binary packages which we do not want to support in main:
      + firebird2-dev/php5-interbase (we have a separate php-interbase source)
      + libc-client-dev/php5-imap (we have a separate php-imap source)
      + libmcrypt-dev/php5-mcrypt (separate php-mcrypt source)
    - debian/rules: Correctly mangle PHP5_* macros for lpia
    - debian/control: DebianMaintainerField
  * Builds php5-gmp (LP: #176013)
  * Fixes sybase_ct for MS SQL (LP: #21995)
  * New Ubuntu changes:
    - debian/rules: use 32M memory_limit for CLI and 16M for cgi/libapache
      (LP: #148871)
    - debian/control, debian/rules: Configure CLI with --with-libedit for
      readline support again, now that the libedit issue is fixed.
      Extended debian/patches/027-readline_is_editline.patch (LP: #124846)
    - Force build against db4.4 (by ignoring db4.5 if it is installed),
      debian/patches/use-specific-libdb-version.patch (LP: #165247)

php5 (5.2.4-2) unstable; urgency=low

  [ sean finney ]
  * for posterity revised previous changelog to reference the CVE id's
    of security issues resolved by the latest upstream release.
  * lintian: use debian/compat instead of DH_COMPAT in debian/rules.
  * lintian: use source:Version and binary:Version where appropriate,
    instead of Source-Version
  * lintian: remove a couple pieces of cruft in the changelog that were causing
    false-postive wrong-bug-number-in-closes, but were generally useless
    anyway.

  [ Raphael Geissert ]
  * Using test-results.txt as a target
  * cronjob now checks for existance of /usr/lib/php5/maxlifetime (Closes: #439286)
  * Fixed memory limit of 1232M in php.ini for cli (Closes: #440624)
  * Build the interbase extension using firebird2.0-dev (Closes: #433736)
  * Unapply patches with debian/rules clean

  [ Steve Langasek ]
  * Don't patch configure or php_config.h.in in suhosin.patch, as these are
    auto-generated and including them in the patch results in a race
    condition for the necessary build-time regeneration. Thanks to Daniel
    Schepler for reporting, and to Damyan Ivanov for helping to sort out the
    fix. Closes: #443637.
  * Also remove the modified auto-generated files in the clean target,
    which triggers a warning about disappearing files when building the
    source package but avoids carrying irrelevant diffs to these files
    in the Debian diff.
  * Now that the testsuite is being run at build time, test failures cause
    a bunch of junk files to be left around in the Debian diff. So clean up
    several false-positive failures:
    - 052-phpinfo_no_configure.patch: we're patching the output of phpinfo(),
      so patch the test as well
    - fix_broken_upstream_tests.patch: use a local directory for tests that
      use sessions, skip the phpinfo test after all because it doesn't appear
      to be compatible with current testsuite behavior, and disable the
      moneyformat test if...

Read more...

Changed in php5:
status: Fix Committed → Fix Released
Gabriel Mazetto (brodock) wrote :

http://patches.ubuntu.com/by-release/atomic/ubuntu/p/php5/php5_5.2.6-1ubuntu4.patch

There is a lack of the follow functions (removed by unknow reason):

sybase_set_message_handler
sybase_deadlock_retry_count
sybase_min_client_severity
sybase_min_server_severity
sybase_affected_rows
unbuferred_query

Gabriel Mazetto (brodock) wrote :

This bug is NOT fully resolved, please take a look at the comment above.

The lack of sybase_set_message_handler is a BLOCKER for my application. also, mssql_set_message_handler isn't working too.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.